%define upstream_name    Encode-IMAPUTF7
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Modification of UTF-7 encoding for IMAP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(Encode::Encoding)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is able to encode and decode IMAP mailbox names using the UTF-7
modification specified in RFC2060 section 5.1.3.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jun 10 2025 tv <tv> 1.70.0-1.mga10
+ Revision: 2190370
- update to 1.07

* Tue May 13 2025 tv <tv> 1.60.0-1.mga10
+ Revision: 2183247
- update to 1.06

* Fri Jan 31 2025 daviddavid <daviddavid> 1.50.0-11.mga10
+ Revision: 2143825
- add fedora patch to fix build

* Sun Mar 20 2022 umeabot <umeabot> 1.50.0-10.mga9
+ Revision: 1803449
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.50.0-9.mga8
+ Revision: 1494434
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.50.0-8.mga7
+ Revision: 1267850
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-7.mga6
+ Revision: 1026920
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.50.0-6.mga6
+ Revision: 946067
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 743274
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 684637
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-3.mga4
+ Revision: 511374
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-2.mga3
+ Revision: 366876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 56674
- imported package perl-Encode-IMAPUTF7

